/*
 * Klasse Sparschwein, JavaScript ES6
 */
class Sparschwein {

    constructor(startwert) {
        this.guthaben=0;
        this.geschlossen=true;
    }

    einzahlen(betrag) {
        if (betrag<=0) alert("Ungltiger Einzahlungsbetrag!");
        else if (!this.geschlossen) alert("Bitte erst zusperren!");
        else this.guthaben+=betrag;
    };

    entnehmen(betrag) {
        if (betrag>this.guthaben || betrag<=0) alert("Ungltiger Auszahlungsbetrag!");
        else if (this.geschlossen) alert("Bitte erst aufsperren!");
        else this.guthaben-=betrag;
    };

    aufsperren() {
        this.geschlossen=false;
    }

    zusperren() {
        this.geschlossen=true;
    }

    getGuthaben() {
        return this.guthaben;
    }

    isGeschlossen() {
        return this.geschlossen;
    }
}

